org.eclnt.jsfserver.elements.componentnodes

## Class IMAGESHAKERNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.IMAGESHAKERNode

- All Implemented Interfaces:
    java.io.Serializable

      public class IMAGESHAKERNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IMAGESHAKERNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IMAGESHAKERNode` | `bindAccessiblename(IDynamicContentBindingObject value)`
    `IMAGESHAKERNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `IMAGESHAKERNode` | `bindBackground(IDynamicContentBindingObject value)`
    `IMAGESHAKERNode` | `bindBgpaint(IDynamicContentBindingObject value)`
    `IMAGESHAKERNode` | `bindComment(IDynamicContentBindingObject value)`
    `IMAGESHAKERNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `IMAGESHAKERNode` | `bindHeight(IDynamicContentBindingObject value)`
    `IMAGESHAKERNode` | `bindImageheight(IDynamicContentBindingObject value)`
    `IMAGESHAKERNode` | `bindImagewidth(IDynamicContentBindingObject value)`
    `IMAGESHAKERNode` | `bindObjectbinding(IDynamicContentBindingObject value)`
    `IMAGESHAKERNode` | `bindShadow(IDynamicContentBindingObject value)`
    `IMAGESHAKERNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `IMAGESHAKERNode` | `bindWidth(IDynamicContentBindingObject value)`
    `IMAGESHAKERNode` | `bindX(IDynamicContentBindingObject value)`
    `IMAGESHAKERNode` | `bindY(IDynamicContentBindingObject value)`
    `IMAGESHAKERNode` | `setAccessiblename(java.lang.String value)`
    `IMAGESHAKERNode` | `setAdapterbinding(java.lang.String value)`
    `IMAGESHAKERNode` | `setAttributemacro(java.lang.String value)`
    `IMAGESHAKERNode` | `setBackground(java.lang.String value)`
    `IMAGESHAKERNode` | `setBgpaint(java.lang.String value)`
    `IMAGESHAKERNode` | `setComment(java.lang.String value)`
    `IMAGESHAKERNode` | `setConfiginfo(java.lang.String value)`
    `IMAGESHAKERNode` | `setHeight(int value)`
    `IMAGESHAKERNode` | `setHeight(java.lang.String value)`
    `IMAGESHAKERNode` | `setId(java.lang.String value)`
    `IMAGESHAKERNode` | `setImageheight(int value)`
    `IMAGESHAKERNode` | `setImageheight(java.lang.String value)`
    `IMAGESHAKERNode` | `setImagewidth(int value)`
    `IMAGESHAKERNode` | `setImagewidth(java.lang.String value)`
    `IMAGESHAKERNode` | `setObjectbinding(java.lang.String value)`
    `IMAGESHAKERNode` | `setReference(java.lang.String value)`
    `IMAGESHAKERNode` | `setShadow(java.lang.String value)`
    `IMAGESHAKERNode` | `setStylevariant(java.lang.String value)`
    `IMAGESHAKERNode` | `setWidth(int value)`
    `IMAGESHAKERNode` | `setWidth(java.lang.String value)`
    `IMAGESHAKERNode` | `setX(int value)`
    `IMAGESHAKERNode` | `setX(java.lang.String value)`
    `IMAGESHAKERNode` | `setY(int value)`
    `IMAGESHAKERNode` | `setY(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IMAGESHAKERNode

          public IMAGESHAKERNode()

  - ### Method Detail

    - #### setId

          public IMAGESHAKERNode setId(java.lang.String value)

    - #### setAccessiblename

          public IMAGESHAKERNode setAccessiblename(java.lang.String value)

    - #### bindAccessiblename

          public IMAGESHAKERNode bindAccessiblename(IDynamicContentBindingObject value)

    - #### setAdapterbinding

          public IMAGESHAKERNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public IMAGESHAKERNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public IMAGESHAKERNode setAttributemacro(java.lang.String value)

    - #### setBackground

          public IMAGESHAKERNode setBackground(java.lang.String value)

    - #### bindBackground

          public IMAGESHAKERNode bindBackground(IDynamicContentBindingObject value)

    - #### setBgpaint

          public IMAGESHAKERNode setBgpaint(java.lang.String value)

    - #### bindBgpaint

          public IMAGESHAKERNode bindBgpaint(IDynamicContentBindingObject value)

    - #### setComment

          public IMAGESHAKERNode setComment(java.lang.String value)

    - #### bindComment

          public IMAGESHAKERNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public IMAGESHAKERNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public IMAGESHAKERNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setHeight

          public IMAGESHAKERNode setHeight(java.lang.String value)

    - #### bindHeight

          public IMAGESHAKERNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public IMAGESHAKERNode setHeight(int value)

    - #### setImageheight

          public IMAGESHAKERNode setImageheight(java.lang.String value)

    - #### bindImageheight

          public IMAGESHAKERNode bindImageheight(IDynamicContentBindingObject value)

    - #### setImageheight

          public IMAGESHAKERNode setImageheight(int value)

    - #### setImagewidth

          public IMAGESHAKERNode setImagewidth(java.lang.String value)

    - #### bindImagewidth

          public IMAGESHAKERNode bindImagewidth(IDynamicContentBindingObject value)

    - #### setImagewidth

          public IMAGESHAKERNode setImagewidth(int value)

    - #### setObjectbinding

          public IMAGESHAKERNode setObjectbinding(java.lang.String value)

    - #### bindObjectbinding

          public IMAGESHAKERNode bindObjectbinding(IDynamicContentBindingObject value)

    - #### setReference

          public IMAGESHAKERNode setReference(java.lang.String value)

    - #### setShadow

          public IMAGESHAKERNode setShadow(java.lang.String value)

    - #### bindShadow

          public IMAGESHAKERNode bindShadow(IDynamicContentBindingObject value)

    - #### setStylevariant

          public IMAGESHAKERNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public IMAGESHAKERNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setWidth

          public IMAGESHAKERNode setWidth(java.lang.String value)

    - #### bindWidth

          public IMAGESHAKERNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public IMAGESHAKERNode setWidth(int value)

    - #### setX

          public IMAGESHAKERNode setX(java.lang.String value)

    - #### bindX

          public IMAGESHAKERNode bindX(IDynamicContentBindingObject value)

    - #### setX

          public IMAGESHAKERNode setX(int value)

    - #### setY

          public IMAGESHAKERNode setY(java.lang.String value)

    - #### bindY

          public IMAGESHAKERNode bindY(IDynamicContentBindingObject value)

    - #### setY

          public IMAGESHAKERNode setY(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.